Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
CK_TOKEN_INFO Struct Reference

`#include <pkcs11t.h>`

## Public Attributes
CK_VERSION | firmwareVersion
CK_FLAGS | flags
CK_VERSION | hardwareVersion
CK_UTF8CHAR | label [32]
CK_UTF8CHAR | manufacturerID [32]
CK_UTF8CHAR | model [16]
CK_CHAR | serialNumber [16]
CK_ULONG | ulFreePrivateMemory
CK_ULONG | ulFreePublicMemory
CK_ULONG | ulMaxPinLen
CK_ULONG | ulMaxRwSessionCount
CK_ULONG | ulMaxSessionCount
CK_ULONG | ulMinPinLen
CK_ULONG | ulRwSessionCount
CK_ULONG | ulSessionCount
CK_ULONG | ulTotalPrivateMemory
CK_ULONG | ulTotalPublicMemory
CK_CHAR | utcTime [16]

## Detailed Description

Definition at line 130 of file pkcs11t.h.

## Member Data Documentation

CK_VERSION CK_TOKEN_INFO::firmwareVersion

Definition at line 148 of file pkcs11t.h.

CK_FLAGS CK_TOKEN_INFO::flags

Definition at line 135 of file pkcs11t.h.

CK_VERSION CK_TOKEN_INFO::hardwareVersion

Definition at line 147 of file pkcs11t.h.

CK_UTF8CHAR CK_TOKEN_INFO::label[32]

Definition at line 131 of file pkcs11t.h.

CK_UTF8CHAR CK_TOKEN_INFO::manufacturerID[32]

Definition at line 132 of file pkcs11t.h.

CK_UTF8CHAR CK_TOKEN_INFO::model[16]

Definition at line 133 of file pkcs11t.h.

CK_CHAR CK_TOKEN_INFO::serialNumber[16]

Definition at line 134 of file pkcs11t.h.

CK_ULONG CK_TOKEN_INFO::ulFreePrivateMemory

Definition at line 146 of file pkcs11t.h.

CK_ULONG CK_TOKEN_INFO::ulFreePublicMemory

Definition at line 144 of file pkcs11t.h.

CK_ULONG CK_TOKEN_INFO::ulMaxPinLen

Definition at line 141 of file pkcs11t.h.

CK_ULONG CK_TOKEN_INFO::ulMaxRwSessionCount

Definition at line 139 of file pkcs11t.h.

CK_ULONG CK_TOKEN_INFO::ulMaxSessionCount

Definition at line 137 of file pkcs11t.h.

CK_ULONG CK_TOKEN_INFO::ulMinPinLen

Definition at line 142 of file pkcs11t.h.

CK_ULONG CK_TOKEN_INFO::ulRwSessionCount

Definition at line 140 of file pkcs11t.h.

CK_ULONG CK_TOKEN_INFO::ulSessionCount

Definition at line 138 of file pkcs11t.h.

CK_ULONG CK_TOKEN_INFO::ulTotalPrivateMemory

Definition at line 145 of file pkcs11t.h.

CK_ULONG CK_TOKEN_INFO::ulTotalPublicMemory

Definition at line 143 of file pkcs11t.h.

CK_CHAR CK_TOKEN_INFO::utcTime[16]

Definition at line 149 of file pkcs11t.h.

The documentation for this struct was generated from the following file:

- src/lib/prov/pkcs11/pkcs11t.h